## org.eclipse.emf.edit.command
Class CopyCommand.Helper

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<EObject,EObject>
              org.eclipse.emf.edit.command.CopyCommand.Helper

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<EObject,EObject>

Enclosing class:
  CopyCommand

    public static class CopyCommand.Helper

extends java.util.HashMap<EObject,EObject>

This helper class is used to keep track of copied objects and their associated copies.

See Also:
  Serialized Form

Field Summary
`protected int` `deferredInitializationCount`
`protected java.util.ArrayList<EObject>` `initializationList`

Constructor Summary
`CopyCommand.Helper()`

Method Summary
`int` `decrementDeferredInitializationCount()`
`EObject` `getCopy(EObject object)` Return the copy of the specified object if it has one.
`EObject` `getCopyTarget(EObject target, boolean copyRequired)` Return the copy of the specified object or the object itself if it has no copy.
`void` `incrementDeferredInitializationCount()`
`java.util.Iterator<EObject>` `initializationIterator()`
`EObject` `put(EObject key, EObject value)`
`EObject` `remove(java.lang.Object key)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### initializationList

    protected java.util.ArrayList<EObject> initializationList

### deferredInitializationCount

    protected int deferredInitializationCount

Constructor Detail

### CopyCommand.Helper

    public CopyCommand.Helper()

Method Detail

### getCopy

    public EObject getCopy(EObject object)

  Return the copy of the specified object if it has one.

### getCopyTarget

    public EObject getCopyTarget(EObject target,
                                 boolean copyRequired)

  Return the copy of the specified object or the object itself if it has no copy.

### put

    public EObject put(EObject key,
                       EObject value)

  Specified by:
    `put` in interface `java.util.Map<EObject,EObject>`
  Overrides:
    `put` in class `java.util.HashMap<EObject,EObject>`

### remove

    public EObject remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<EObject,EObject>`
  Overrides:
    `remove` in class `java.util.HashMap<EObject,EObject>`

### initializationIterator

    public java.util.Iterator<EObject> initializationIterator()

### incrementDeferredInitializationCount

    public void incrementDeferredInitializationCount()

### decrementDeferredInitializationCount

    public int decrementDeferredInitializationCount()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.